summaryrefslogtreecommitdiff
path: root/update.sh
diff options
context:
space:
mode:
authorNicolas Braud-Santoni <nicolas@braud-santoni.eu>2015-12-29 20:34:33 +0100
committermathieui <mathieui@mathieui.net>2015-12-29 20:36:16 +0100
commitdd992600f3f604e34c82cf55dd99662b66e2158c (patch)
tree1c71ccb4f6651a6e2844592e0fe66cacee8eb4de /update.sh
parent161f44ce3b754f3c75fd36f4b888f9beb01f069d (diff)
downloadpoezio-dd992600f3f604e34c82cf55dd99662b66e2158c.tar.gz
poezio-dd992600f3f604e34c82cf55dd99662b66e2158c.tar.bz2
poezio-dd992600f3f604e34c82cf55dd99662b66e2158c.tar.xz
poezio-dd992600f3f604e34c82cf55dd99662b66e2158c.zip
update.sh: Only allow fast-forwards
Diffstat (limited to 'update.sh')
-rwxr-xr-xupdate.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/update.sh b/update.sh
index 44742241..73c37467 100755
--- a/update.sh
+++ b/update.sh
@@ -27,7 +27,7 @@ command -v $POEZIO_VENV_COMMAND > /dev/null 2>&1 || {
}
echo 'Updating poezio'
-git pull origin master || {
+git pull --ff-only origin master || {
echo "The script failed to update poezio."
exit 1
}